Pinto::Server(3pm)

NAME
Pinto::Server - Web interface to a Pinto repository

VERSION
version 0.14

ATTRIBUTES

  root
The path to the root directory of your Pinto repository. The repository must already exist at this location. This attribute is required.

  auth
The hashref of authentication options, if authentication is to be used within the server. One of the options must be 'backend', to specify which Authen::Simple:: class to use; the other key/value pairs will be passed as-is to the Authen::Simple class.

  router
An object that does the Pinto::Server::Handler role. This object will do the work of processing the request and returning a response.

  default_port
Returns the default port number that the server will listen on. This is a class attribute.

METHODS

  to_app()
Returns the application as a subroutine reference.

  call( $env )
Invokes the application with the specified environment. Returns a PSGI-compatible response.

There is nothing to see here.

Look at pintod if you want to start the server.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2015 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.